# HG changeset patch
# Node ID 6e2fd33b30a8
# Parent  c7ff8f866aaf
diff --git a/libpurple/protocols/zephyr/ZAsyncLocate.c b/libpurple/protocols/zephyr/ZAsyncLocate.c
--- a/libpurple/protocols/zephyr/ZAsyncLocate.c
+++ b/libpurple/protocols/zephyr/ZAsyncLocate.c
@@ -11,11 +11,10 @@
 #include "internal.h"
 #include "util.h"
 
-Code_t ZRequestLocations(user, zald, kind, auth)
-     const char *user;
-     ZAsyncLocateData_t *zald;
-     ZNotice_Kind_t kind;	/* UNSAFE, UNACKED, or ACKED */
-     Z_AuthProc auth;
+Code_t
+ZRequestLocations(const char *user, ZAsyncLocateData_t *zald,
+                  ZNotice_Kind_t kind, /* UNSAFE, UNACKED, or ACKED */
+                  Z_AuthProc auth)
 {
     int retval;
     ZNotice_t notice;
@@ -55,11 +54,9 @@ Code_t ZRequestLocations(user, zald, kin
     return(ZERR_NONE);
 }
 
-Code_t ZParseLocations(notice,zald,nlocs,user)
-     ZNotice_t *notice;
-     ZAsyncLocateData_t *zald;
-     int *nlocs;
-     char **user;
+Code_t
+ZParseLocations(ZNotice_t *notice, ZAsyncLocateData_t *zald, int *nlocs,
+                char **user)
 {
     char *ptr, *end;
     int i;
@@ -150,16 +147,15 @@ Code_t ZParseLocations(notice,zald,nlocs
     return (ZERR_NONE);
 }
 
-int ZCompareALDPred(notice, zald)
-     ZNotice_t *notice;
-     void *zald;
+int
+ZCompareALDPred(ZNotice_t *notice, void *zald)
 {
     return(ZCompareUID(&(notice->z_multiuid),
 		       &(((ZAsyncLocateData_t *) zald)->uid)));
 }
 
-void ZFreeALD(zald)
-     ZAsyncLocateData_t *zald;
+void
+ZFreeALD(ZAsyncLocateData_t *zald)
 {
    if (!zald) return;
 
diff --git a/libpurple/protocols/zephyr/ZCkAuth.c b/libpurple/protocols/zephyr/ZCkAuth.c
--- a/libpurple/protocols/zephyr/ZCkAuth.c
+++ b/libpurple/protocols/zephyr/ZCkAuth.c
@@ -18,9 +18,8 @@
    When not using Kerberos, return true if the notice claims to be authentic.
    Only used by clients; the server uses its own routine.
  */
-Code_t ZCheckAuthentication(notice, from)
-    ZNotice_t *notice;
-    struct sockaddr_in *from;
+Code_t
+ZCheckAuthentication(ZNotice_t *notice, struct sockaddr_in *from)
 {
 #ifdef ZEPHYR_USES_KERBEROS
     int result;
diff --git a/libpurple/protocols/zephyr/ZCkIfNot.c b/libpurple/protocols/zephyr/ZCkIfNot.c
--- a/libpurple/protocols/zephyr/ZCkIfNot.c
+++ b/libpurple/protocols/zephyr/ZCkIfNot.c
@@ -10,11 +10,9 @@
 
 #include "internal.h"
 
-Code_t ZCheckIfNotice(notice, from, predicate, args)
-    ZNotice_t *notice;
-    struct sockaddr_in *from;
-    register int (*predicate) __P((ZNotice_t *, void *));
-    void *args;
+Code_t
+ZCheckIfNotice(ZNotice_t *notice, struct sockaddr_in *from,
+               register int (*predicate) __P((ZNotice_t *, void *)), void *args)
 {
     ZNotice_t tmpnotice;
     Code_t retval;
diff --git a/libpurple/protocols/zephyr/ZClosePort.c b/libpurple/protocols/zephyr/ZClosePort.c
--- a/libpurple/protocols/zephyr/ZClosePort.c
+++ b/libpurple/protocols/zephyr/ZClosePort.c
@@ -10,7 +10,8 @@
 
 #include "internal.h"
 
-Code_t ZClosePort()
+Code_t
+ZClosePort(void)
 {
     if (__Zephyr_fd >= 0 && __Zephyr_open)
 	(void) close(__Zephyr_fd);
diff --git a/libpurple/protocols/zephyr/ZCmpUID.c b/libpurple/protocols/zephyr/ZCmpUID.c
--- a/libpurple/protocols/zephyr/ZCmpUID.c
+++ b/libpurple/protocols/zephyr/ZCmpUID.c
@@ -10,8 +10,8 @@
 
 #include "internal.h"
 
-int ZCompareUID(uid1, uid2)
-    ZUnique_Id_t *uid1, *uid2;
+int
+ZCompareUID(ZUnique_Id_t *uid1, ZUnique_Id_t *uid2)
 {
     return (!memcmp((char *)uid1, (char *)uid2, sizeof (*uid1)));
 }
diff --git a/libpurple/protocols/zephyr/ZCmpUIDP.c b/libpurple/protocols/zephyr/ZCmpUIDP.c
--- a/libpurple/protocols/zephyr/ZCmpUIDP.c
+++ b/libpurple/protocols/zephyr/ZCmpUIDP.c
@@ -10,16 +10,14 @@
 
 #include "internal.h"
 
-int ZCompareUIDPred(notice, uid)
-    ZNotice_t *notice;
-    void *uid;
+int
+ZCompareUIDPred(ZNotice_t *notice, void *uid)
 {
     return (ZCompareUID(&notice->z_uid, (ZUnique_Id_t *) uid));
 }
 
-int ZCompareMultiUIDPred(notice, uid)
-    ZNotice_t *notice;
-    void *uid;
+int
+ZCompareMultiUIDPred(ZNotice_t *notice, void *uid)
 {
     return (ZCompareUID(&notice->z_multiuid, (ZUnique_Id_t *) uid));
 }
diff --git a/libpurple/protocols/zephyr/ZFlsLocs.c b/libpurple/protocols/zephyr/ZFlsLocs.c
--- a/libpurple/protocols/zephyr/ZFlsLocs.c
+++ b/libpurple/protocols/zephyr/ZFlsLocs.c
@@ -10,7 +10,8 @@
 
 #include "internal.h"
 
-Code_t ZFlushLocations()
+Code_t
+ZFlushLocations(void)
 {
 	int i;
 
diff --git a/libpurple/protocols/zephyr/ZFlsSubs.c b/libpurple/protocols/zephyr/ZFlsSubs.c
--- a/libpurple/protocols/zephyr/ZFlsSubs.c
+++ b/libpurple/protocols/zephyr/ZFlsSubs.c
@@ -10,7 +10,8 @@
 
 #include "internal.h"
 
-Code_t ZFlushSubscriptions()
+Code_t
+ZFlushSubscriptions(void)
 {
 	register int i;
 
diff --git a/libpurple/protocols/zephyr/ZFmtAuth.c b/libpurple/protocols/zephyr/ZFmtAuth.c
--- a/libpurple/protocols/zephyr/ZFmtAuth.c
+++ b/libpurple/protocols/zephyr/ZFmtAuth.c
@@ -11,12 +11,9 @@
 #include "internal.h"
 
 #ifdef ZEPHYR_USES_KERBEROS
-Code_t ZFormatAuthenticNotice(notice, buffer, buffer_len, len, session)
-    ZNotice_t *notice;
-    register char *buffer;
-    register int buffer_len;
-    int *len;
-    C_Block session;
+Code_t
+ZFormatAuthenticNotice(ZNotice_t *notice, register char *buffer,
+                       register int buffer_len, int *len, C_Block session)
 {
     ZNotice_t newnotice;
     char *ptr;
diff --git a/libpurple/protocols/zephyr/ZFmtList.c b/libpurple/protocols/zephyr/ZFmtList.c
--- a/libpurple/protocols/zephyr/ZFmtList.c
+++ b/libpurple/protocols/zephyr/ZFmtList.c
@@ -10,14 +10,9 @@
 
 #include "internal.h"
 
-Code_t ZFormatNoticeList(notice, list, nitems, buffer, ret_len,
-			 cert_routine)
-    ZNotice_t *notice;
-    register char **list;
-    int nitems;
-    char **buffer;
-    int *ret_len;
-    Z_AuthProc cert_routine;
+Code_t
+ZFormatNoticeList(ZNotice_t *notice, register char **list, int nitems,
+                  char **buffer, int *ret_len, Z_AuthProc cert_routine)
 {
     char header[Z_MAXHEADERLEN];
     register int i;
diff --git a/libpurple/protocols/zephyr/ZFmtNotice.c b/libpurple/protocols/zephyr/ZFmtNotice.c
--- a/libpurple/protocols/zephyr/ZFmtNotice.c
+++ b/libpurple/protocols/zephyr/ZFmtNotice.c
@@ -10,11 +10,9 @@
 
 #include "internal.h"
 
-Code_t ZFormatNotice(notice, buffer, ret_len, cert_routine)
-    register ZNotice_t *notice;
-    char **buffer;
-    int *ret_len;
-    Z_AuthProc cert_routine;
+Code_t
+ZFormatNotice(register ZNotice_t *notice, char **buffer, int *ret_len,
+              Z_AuthProc cert_routine)
 {
     char header[Z_MAXHEADERLEN];
     int hdrlen;
diff --git a/libpurple/protocols/zephyr/ZFmtRaw.c b/libpurple/protocols/zephyr/ZFmtRaw.c
--- a/libpurple/protocols/zephyr/ZFmtRaw.c
+++ b/libpurple/protocols/zephyr/ZFmtRaw.c
@@ -10,10 +10,8 @@
 
 #include "internal.h"
 
-Code_t ZFormatRawNotice(notice, buffer, ret_len)
-    register ZNotice_t *notice;
-    char **buffer;
-    int *ret_len;
+Code_t
+ZFormatRawNotice(register ZNotice_t *notice, char **buffer, int *ret_len)
 {
     char header[Z_MAXHEADERLEN];
     int hdrlen;
diff --git a/libpurple/protocols/zephyr/ZFmtRawLst.c b/libpurple/protocols/zephyr/ZFmtRawLst.c
--- a/libpurple/protocols/zephyr/ZFmtRawLst.c
+++ b/libpurple/protocols/zephyr/ZFmtRawLst.c
@@ -10,12 +10,9 @@
 
 #include "internal.h"
 
-Code_t ZFormatRawNoticeList(notice, list, nitems, buffer, ret_len)
-    ZNotice_t *notice;
-    char *list[];
-    int nitems;
-    char **buffer;
-    int *ret_len;
+Code_t
+ZFormatRawNoticeList(ZNotice_t *notice, char *list[], int nitems, char **buffer,
+                     int *ret_len)
 {
     char header[Z_MAXHEADERLEN];
     int hdrlen, i, size;
diff --git a/libpurple/protocols/zephyr/ZFmtSmRaw.c b/libpurple/protocols/zephyr/ZFmtSmRaw.c
--- a/libpurple/protocols/zephyr/ZFmtSmRaw.c
+++ b/libpurple/protocols/zephyr/ZFmtSmRaw.c
@@ -10,10 +10,8 @@
 
 #include "internal.h"
 
-Code_t ZFormatSmallRawNotice(notice, buffer, ret_len)
-    ZNotice_t *notice;
-    ZPacket_t buffer;
-    int *ret_len;
+Code_t
+ZFormatSmallRawNotice(ZNotice_t *notice, ZPacket_t buffer, int *ret_len)
 {
     Code_t retval;
     int hdrlen;
diff --git a/libpurple/protocols/zephyr/ZFreeNot.c b/libpurple/protocols/zephyr/ZFreeNot.c
--- a/libpurple/protocols/zephyr/ZFreeNot.c
+++ b/libpurple/protocols/zephyr/ZFreeNot.c
@@ -10,8 +10,8 @@
 
 #include "internal.h"
 
-Code_t ZFreeNotice(notice)
-    ZNotice_t *notice;
+Code_t
+ZFreeNotice(ZNotice_t *notice)
 {
     free(notice->z_packet);
     return 0;
diff --git a/libpurple/protocols/zephyr/ZGetSender.c b/libpurple/protocols/zephyr/ZGetSender.c
--- a/libpurple/protocols/zephyr/ZGetSender.c
+++ b/libpurple/protocols/zephyr/ZGetSender.c
@@ -14,7 +14,8 @@
 #include <pwd.h>
 #endif
 
-char *ZGetSender()
+char *
+ZGetSender(void)
 {
 	struct passwd *pw;
 #ifdef ZEPHYR_USES_KERBEROS
diff --git a/libpurple/protocols/zephyr/ZGetWGPort.c b/libpurple/protocols/zephyr/ZGetWGPort.c
--- a/libpurple/protocols/zephyr/ZGetWGPort.c
+++ b/libpurple/protocols/zephyr/ZGetWGPort.c
@@ -10,7 +10,8 @@
 
 #include "internal.h"
 
-int ZGetWGPort()
+int
+ZGetWGPort(void)
 {
     char *envptr, name[128];
     FILE *fp;
diff --git a/libpurple/protocols/zephyr/ZIfNotice.c b/libpurple/protocols/zephyr/ZIfNotice.c
--- a/libpurple/protocols/zephyr/ZIfNotice.c
+++ b/libpurple/protocols/zephyr/ZIfNotice.c
@@ -10,11 +10,9 @@
 
 #include "internal.h"
 
-Code_t ZIfNotice(notice, from, predicate, args)
-    ZNotice_t *notice;
-    struct sockaddr_in *from;
-    int (*predicate) __P((ZNotice_t *, void *));
-    void *args;
+Code_t
+ZIfNotice(ZNotice_t *notice, struct sockaddr_in *from,
+          int (*predicate) __P((ZNotice_t *, void *)), void *args)
 {
     ZNotice_t tmpnotice;
     Code_t retval;
diff --git a/libpurple/protocols/zephyr/ZInit.c b/libpurple/protocols/zephyr/ZInit.c
--- a/libpurple/protocols/zephyr/ZInit.c
+++ b/libpurple/protocols/zephyr/ZInit.c
@@ -29,7 +29,8 @@
 #define INADDR_NONE 0xffffffff
 #endif
 
-Code_t ZInitialize()
+Code_t
+ZInitialize(void)
 {
     struct servent *hmserv;
     struct hostent *hostent;
diff --git a/libpurple/protocols/zephyr/ZLocations.c b/libpurple/protocols/zephyr/ZLocations.c
--- a/libpurple/protocols/zephyr/ZLocations.c
+++ b/libpurple/protocols/zephyr/ZLocations.c
@@ -19,20 +19,22 @@
 #include <stdlib.h>
 #include <errno.h>
 
-Code_t ZSetLocation(exposure)
-    char *exposure;
+Code_t
+ZSetLocation(char *exposure)
 {
     return (Z_SendLocation(LOGIN_CLASS, exposure, ZAUTH,
 			   "$sender logged in to $1 on $3 at $2"));
 }
 
-Code_t ZUnsetLocation()
+Code_t
+ZUnsetLocation(void)
 {
     return (Z_SendLocation(LOGIN_CLASS, LOGIN_USER_LOGOUT, ZNOAUTH,
 			   "$sender logged out of $1 on $3 at $2"));
 }
 
-Code_t ZFlushMyLocations()
+Code_t
+ZFlushMyLocations(void)
 {
     return (Z_SendLocation(LOGIN_CLASS, LOGIN_USER_FLUSH, ZAUTH, ""));
 }
@@ -41,11 +43,8 @@ static char host[MAXHOSTNAMELEN];
 static char *mytty = NULL;
 static int reenter = 0;
 
-Code_t Z_SendLocation(class, opcode, auth, format)
-    char *class;
-    char *opcode;
-    Z_AuthProc auth;
-    char *format;
+Code_t
+Z_SendLocation(char *class, char *opcode, Z_AuthProc auth, char *format)
 {
     int retval;
     time_t ourtime;
diff --git a/libpurple/protocols/zephyr/ZMakeAscii.c b/libpurple/protocols/zephyr/ZMakeAscii.c
--- a/libpurple/protocols/zephyr/ZMakeAscii.c
+++ b/libpurple/protocols/zephyr/ZMakeAscii.c
@@ -12,11 +12,8 @@
 
 static char *itox_chars = "0123456789ABCDEF";
 
-Code_t ZMakeAscii(ptr, len, field, num)
-    register char *ptr;
-    int len;
-    unsigned char *field;
-    int num;
+Code_t
+ZMakeAscii(register char *ptr, int len, unsigned char *field, int num)
 {
     int i;
 
@@ -45,10 +42,8 @@ Code_t ZMakeAscii(ptr, len, field, num)
     return ZERR_NONE;
 }
 
-Code_t ZMakeAscii32(ptr, len, value)
-    register char *ptr;
-    int len;
-    unsigned long value;
+Code_t
+ZMakeAscii32(register char *ptr, int len, unsigned long value)
 {
     if (len < 11)
 	return ZERR_FIELDLEN;
@@ -66,10 +61,8 @@ Code_t ZMakeAscii32(ptr, len, value)
     return ZERR_NONE;
 }
 
-Code_t ZMakeAscii16(ptr, len, value)
-    register char *ptr;
-    int len;
-    unsigned int value;
+Code_t
+ZMakeAscii16(register char *ptr, int len, unsigned int value)
 {
     if (len < 7)
 	return ZERR_FIELDLEN;
diff --git a/libpurple/protocols/zephyr/ZMkAuth.c b/libpurple/protocols/zephyr/ZMkAuth.c
--- a/libpurple/protocols/zephyr/ZMkAuth.c
+++ b/libpurple/protocols/zephyr/ZMkAuth.c
@@ -33,11 +33,9 @@ Code_t ZResetAuthentication () {
 }
 #endif
 
-Code_t ZMakeAuthentication(notice, buffer, buffer_len, len)
-    register ZNotice_t *notice;
-    char *buffer;
-    int buffer_len;
-    int *len;
+Code_t
+ZMakeAuthentication(register ZNotice_t *notice, char *buffer, int buffer_len,
+                    int *len)
 {
 #ifdef ZEPHYR_USES_KERBEROS
     int result;
diff --git a/libpurple/protocols/zephyr/ZNewLocU.c b/libpurple/protocols/zephyr/ZNewLocU.c
--- a/libpurple/protocols/zephyr/ZNewLocU.c
+++ b/libpurple/protocols/zephyr/ZNewLocU.c
@@ -10,10 +10,8 @@
 
 #include "internal.h"
 
-Code_t ZLocateUser(user, nlocs, auth)
-    char *user;
-    int *nlocs;
-    Z_AuthProc auth;
+Code_t
+ZLocateUser(char *user, int *nlocs, Z_AuthProc auth)
 {
     Code_t retval;
     ZNotice_t notice;
diff --git a/libpurple/protocols/zephyr/ZOpenPort.c b/libpurple/protocols/zephyr/ZOpenPort.c
--- a/libpurple/protocols/zephyr/ZOpenPort.c
+++ b/libpurple/protocols/zephyr/ZOpenPort.c
@@ -16,8 +16,8 @@
 #include <sys/socket.h>
 #endif
 
-Code_t ZOpenPort(port)
-    unsigned short *port;
+Code_t
+ZOpenPort(unsigned short *port)
 {
     struct sockaddr_in bindin;
     socklen_t len;
diff --git a/libpurple/protocols/zephyr/ZParseNot.c b/libpurple/protocols/zephyr/ZParseNot.c
--- a/libpurple/protocols/zephyr/ZParseNot.c
+++ b/libpurple/protocols/zephyr/ZParseNot.c
@@ -60,10 +60,8 @@ static char *next_field_1 (s) char *s; {
 #define next_field(ptr)	ptr=next_field_1(ptr)
 #endif
 
-Code_t ZParseNotice(buffer, len, notice)
-    char *buffer;
-    int len;
-    ZNotice_t *notice;
+Code_t
+ZParseNotice(char *buffer, int len, ZNotice_t *notice)
 {
     char *ptr, *end;
     unsigned long temp;
diff --git a/libpurple/protocols/zephyr/ZPeekNot.c b/libpurple/protocols/zephyr/ZPeekNot.c
--- a/libpurple/protocols/zephyr/ZPeekNot.c
+++ b/libpurple/protocols/zephyr/ZPeekNot.c
@@ -10,9 +10,8 @@
 
 #include "internal.h"
 
-Code_t ZPeekNotice(notice, from)
-    ZNotice_t *notice;
-    struct sockaddr_in *from;
+Code_t
+ZPeekNotice(ZNotice_t *notice, struct sockaddr_in *from)
 {
     char *buffer;
     int len;
diff --git a/libpurple/protocols/zephyr/ZPeekPkt.c b/libpurple/protocols/zephyr/ZPeekPkt.c
--- a/libpurple/protocols/zephyr/ZPeekPkt.c
+++ b/libpurple/protocols/zephyr/ZPeekPkt.c
@@ -10,10 +10,8 @@
 
 #include "internal.h"
 
-Code_t ZPeekPacket(buffer, ret_len, from)
-    char **buffer;
-    int *ret_len;
-    struct sockaddr_in *from;
+Code_t
+ZPeekPacket(char **buffer, int *ret_len, struct sockaddr_in *from)
 {
     Code_t retval;
     struct _Z_InputQ *nextq;
diff --git a/libpurple/protocols/zephyr/ZPending.c b/libpurple/protocols/zephyr/ZPending.c
--- a/libpurple/protocols/zephyr/ZPending.c
+++ b/libpurple/protocols/zephyr/ZPending.c
@@ -10,7 +10,8 @@
 
 #include "internal.h"
 
-int ZPending()
+int
+ZPending(void)
 {
 	int retval;
 
diff --git a/libpurple/protocols/zephyr/ZReadAscii.c b/libpurple/protocols/zephyr/ZReadAscii.c
--- a/libpurple/protocols/zephyr/ZReadAscii.c
+++ b/libpurple/protocols/zephyr/ZReadAscii.c
@@ -12,11 +12,8 @@
 
 #define Z_cnvt_xtoi(c)  ((temp=(c)-'0'),(temp<10)?(int)temp:((temp-='A'-'9'-1),(temp<16)?(int)temp:-1))
 
-Code_t ZReadAscii(ptr, len, field, num)
-    char *ptr;
-    int len;
-    unsigned char *field;
-    int num;
+Code_t
+ZReadAscii(char *ptr, int len, unsigned char *field, int num)
 {
     int i;
     unsigned int hexbyte;
@@ -52,10 +49,8 @@ Code_t ZReadAscii(ptr, len, field, num)
     return *ptr ? ZERR_BADFIELD : ZERR_NONE;
 }
 
-Code_t ZReadAscii32(ptr, len, value_ptr)
-    char *ptr;
-    int len;
-    unsigned long *value_ptr;
+Code_t
+ZReadAscii32(char *ptr, int len, unsigned long *value_ptr)
 {
     unsigned char buf[4];
     unsigned long value = 0;
@@ -72,10 +67,8 @@ Code_t ZReadAscii32(ptr, len, value_ptr)
     return ZERR_NONE;
 }
 
-Code_t ZReadAscii16(ptr, len, value_ptr)
-    char *ptr;
-    int len;
-    unsigned short *value_ptr;
+Code_t
+ZReadAscii16(char *ptr, int len, unsigned short *value_ptr)
 {
     unsigned char buf[2];
     Code_t retval;
diff --git a/libpurple/protocols/zephyr/ZRecvNot.c b/libpurple/protocols/zephyr/ZRecvNot.c
--- a/libpurple/protocols/zephyr/ZRecvNot.c
+++ b/libpurple/protocols/zephyr/ZRecvNot.c
@@ -10,9 +10,8 @@
 
 #include "internal.h"
 
-Code_t ZReceiveNotice(notice, from)
-    ZNotice_t *notice;
-    struct sockaddr_in *from;
+Code_t
+ZReceiveNotice(ZNotice_t *notice, struct sockaddr_in *from)
 {
     char *buffer;
     struct _Z_InputQ *nextq;
diff --git a/libpurple/protocols/zephyr/ZRecvPkt.c b/libpurple/protocols/zephyr/ZRecvPkt.c
--- a/libpurple/protocols/zephyr/ZRecvPkt.c
+++ b/libpurple/protocols/zephyr/ZRecvPkt.c
@@ -10,10 +10,8 @@
 
 #include "internal.h"
 
-Code_t ZReceivePacket(buffer, ret_len, from)
-    ZPacket_t buffer;
-    int *ret_len;
-    struct sockaddr_in *from;
+Code_t
+ZReceivePacket(ZPacket_t buffer, int *ret_len, struct sockaddr_in *from)
 {
     Code_t retval;
     struct _Z_InputQ *nextq;
diff --git a/libpurple/protocols/zephyr/ZRetSubs.c b/libpurple/protocols/zephyr/ZRetSubs.c
--- a/libpurple/protocols/zephyr/ZRetSubs.c
+++ b/libpurple/protocols/zephyr/ZRetSubs.c
@@ -58,10 +58,8 @@ Code_t ZRetrieveDefaultSubscriptions(nsu
 }
 #endif
 
-static Code_t Z_RetSubs(notice, nsubs, auth_routine)
-	register ZNotice_t *notice;
-	int *nsubs;
-	Z_AuthProc auth_routine;
+static Code_t
+Z_RetSubs(register ZNotice_t *notice, int *nsubs, Z_AuthProc auth_routine)
 {
 	register int i;
 	int retval,nrecv,gimmeack;
diff --git a/libpurple/protocols/zephyr/ZSendList.c b/libpurple/protocols/zephyr/ZSendList.c
--- a/libpurple/protocols/zephyr/ZSendList.c
+++ b/libpurple/protocols/zephyr/ZSendList.c
@@ -10,21 +10,15 @@
 
 #include "internal.h"
 
-Code_t ZSendList(notice, list, nitems, cert_routine)
-    ZNotice_t *notice;
-    char *list[];
-    int nitems;
-    Z_AuthProc cert_routine;
+Code_t
+ZSendList(ZNotice_t *notice, char *list[], int nitems, Z_AuthProc cert_routine)
 {
     return(ZSrvSendList(notice, list, nitems, cert_routine, Z_XmitFragment));
 }
 
-Code_t ZSrvSendList(notice, list, nitems, cert_routine, send_routine)
-    ZNotice_t *notice;
-    char *list[];
-    int nitems;
-    Z_AuthProc cert_routine;
-    Code_t (*send_routine)();
+Code_t
+ZSrvSendList(ZNotice_t *notice, char *list[], int nitems,
+             Z_AuthProc cert_routine, Code_t (*send_routine)())
 {
     Code_t retval;
     ZNotice_t newnotice;
diff --git a/libpurple/protocols/zephyr/ZSendNot.c b/libpurple/protocols/zephyr/ZSendNot.c
--- a/libpurple/protocols/zephyr/ZSendNot.c
+++ b/libpurple/protocols/zephyr/ZSendNot.c
@@ -10,17 +10,15 @@
 
 #include "internal.h"
 
-Code_t ZSendNotice(notice, cert_routine)
-    ZNotice_t *notice;
-    Z_AuthProc cert_routine;
+Code_t
+ZSendNotice(ZNotice_t *notice, Z_AuthProc cert_routine)
 {
     return(ZSrvSendNotice(notice, cert_routine, Z_XmitFragment));
 }
 
-Code_t ZSrvSendNotice(notice, cert_routine, send_routine)
-    ZNotice_t *notice;
-    Z_AuthProc cert_routine;
-    Code_t (*send_routine)();
+Code_t
+ZSrvSendNotice(ZNotice_t *notice, Z_AuthProc cert_routine,
+               Code_t (*send_routine)())
 {
     Code_t retval;
     ZNotice_t newnotice;
diff --git a/libpurple/protocols/zephyr/ZSendPkt.c b/libpurple/protocols/zephyr/ZSendPkt.c
--- a/libpurple/protocols/zephyr/ZSendPkt.c
+++ b/libpurple/protocols/zephyr/ZSendPkt.c
@@ -17,10 +17,8 @@
 
 static int wait_for_hmack(ZNotice_t *notice, void *uid);
 
-Code_t ZSendPacket(packet, len, waitforack)
-    char *packet;
-    int len;
-    int waitforack;
+Code_t
+ZSendPacket(char *packet, int len, int waitforack)
 {
     Code_t retval;
     struct sockaddr_in dest;
diff --git a/libpurple/protocols/zephyr/ZSetDest.c b/libpurple/protocols/zephyr/ZSetDest.c
--- a/libpurple/protocols/zephyr/ZSetDest.c
+++ b/libpurple/protocols/zephyr/ZSetDest.c
@@ -10,8 +10,8 @@
 
 #include "internal.h"
 
-Code_t ZSetDestAddr(addr)
-	struct	sockaddr_in *addr;
+Code_t
+ZSetDestAddr(struct sockaddr_in *addr)
 {
 	__HM_addr = *addr;
 
diff --git a/libpurple/protocols/zephyr/ZSetFD.c b/libpurple/protocols/zephyr/ZSetFD.c
--- a/libpurple/protocols/zephyr/ZSetFD.c
+++ b/libpurple/protocols/zephyr/ZSetFD.c
@@ -10,8 +10,8 @@
 
 #include "internal.h"
 
-Code_t ZSetFD(fd)
-	int	fd;
+Code_t
+ZSetFD(int fd)
 {
 	(void) ZClosePort();
 
diff --git a/libpurple/protocols/zephyr/ZSetSrv.c b/libpurple/protocols/zephyr/ZSetSrv.c
--- a/libpurple/protocols/zephyr/ZSetSrv.c
+++ b/libpurple/protocols/zephyr/ZSetSrv.c
@@ -10,8 +10,8 @@
 
 #include "internal.h"
 
-Code_t ZSetServerState(state)
-	int	state;
+Code_t
+ZSetServerState(int state)
 {
 	__Zephyr_server = state;
 
diff --git a/libpurple/protocols/zephyr/ZSubs.c b/libpurple/protocols/zephyr/ZSubs.c
--- a/libpurple/protocols/zephyr/ZSubs.c
+++ b/libpurple/protocols/zephyr/ZSubs.c
@@ -17,33 +17,28 @@ static Code_t Z_Subscriptions __P((regis
 static Code_t subscr_sendoff __P((ZNotice_t *notice, char **lyst, int num,
 				  int authit));
 
-Code_t ZSubscribeTo(sublist, nitems, port)
-    ZSubscription_t *sublist;
-    int nitems;
-    unsigned int port;
+Code_t
+ZSubscribeTo(ZSubscription_t *sublist, int nitems, unsigned int port)
 {
     return (Z_Subscriptions(sublist, nitems, port, CLIENT_SUBSCRIBE, 1));
 }
 
-Code_t ZSubscribeToSansDefaults(sublist, nitems, port)
-    ZSubscription_t *sublist;
-    int nitems;
-    unsigned int port;
+Code_t
+ZSubscribeToSansDefaults(ZSubscription_t *sublist, int nitems,
+                         unsigned int port)
 {
     return (Z_Subscriptions(sublist, nitems, port, CLIENT_SUBSCRIBE_NODEFS,
 			    1));
 }
 
-Code_t ZUnsubscribeTo(sublist, nitems, port)
-    ZSubscription_t *sublist;
-    int nitems;
-    unsigned int port;
+Code_t
+ZUnsubscribeTo(ZSubscription_t *sublist, int nitems, unsigned int port)
 {
     return (Z_Subscriptions(sublist, nitems, port, CLIENT_UNSUBSCRIBE, 1));
 }
 
-Code_t ZCancelSubscriptions(port)
-    unsigned int port;
+Code_t
+ZCancelSubscriptions(unsigned int port)
 {
     return (Z_Subscriptions((ZSubscription_t *)0, 0, port,
 			    CLIENT_CANCELSUB, 0));
@@ -56,12 +51,8 @@ Code_t ZCancelSubscriptions(port)
  */
 
 static Code_t
-Z_Subscriptions(sublist, nitems, port, opcode, authit)
-    register ZSubscription_t *sublist;
-    int nitems;
-    unsigned int port;
-    char *opcode;
-    int authit;
+Z_Subscriptions(register ZSubscription_t *sublist, int nitems,
+                unsigned int port, char *opcode, int authit)
 {
     register int i, j;
     int retval;
@@ -161,11 +152,7 @@ Z_Subscriptions(sublist, nitems, port, o
 }
 
 static Code_t
-subscr_sendoff(notice, lyst, num, authit)
-ZNotice_t *notice;
-char **lyst;
-int num;
-int authit;
+subscr_sendoff(ZNotice_t *notice, char **lyst, int num, int authit)
 {
     register Code_t retval;
     ZNotice_t retnotice;
diff --git a/libpurple/protocols/zephyr/ZVariables.c b/libpurple/protocols/zephyr/ZVariables.c
--- a/libpurple/protocols/zephyr/ZVariables.c
+++ b/libpurple/protocols/zephyr/ZVariables.c
@@ -46,9 +46,8 @@ char *ZGetVariable(var)
 	return ret;
 }
 
-Code_t ZSetVariable(var, value)
-    char *var;
-    char *value;
+Code_t
+ZSetVariable(char *var, char *value)
 {
     int written;
     FILE *fpin, *fpout;
@@ -96,8 +95,8 @@ Code_t ZSetVariable(var, value)
     return (ZERR_NONE);
 }
 
-Code_t ZUnsetVariable(var)
-    char *var;
+Code_t
+ZUnsetVariable(char *var)
 {
     FILE *fpin, *fpout;
     char *varfile, *varfilebackup, varbfr[512];
diff --git a/libpurple/protocols/zephyr/ZWait4Not.c b/libpurple/protocols/zephyr/ZWait4Not.c
--- a/libpurple/protocols/zephyr/ZWait4Not.c
+++ b/libpurple/protocols/zephyr/ZWait4Not.c
@@ -30,11 +30,9 @@ static int  gettimeofday(struct timeval*
 #include <sys/socket.h>
 #endif
 
-Code_t Z_WaitForNotice (notice, pred, arg, timeout)
-     ZNotice_t *notice;
-     int (*pred) __P((ZNotice_t *, void *));
-     void *arg;
-     int timeout;
+Code_t
+Z_WaitForNotice(ZNotice_t *notice, int (*pred) __P((ZNotice_t *, void *)), void *arg,
+                int timeout)
 {
   Code_t retval;
   struct timeval tv, t0;
diff --git a/libpurple/protocols/zephyr/ZhmStat.c b/libpurple/protocols/zephyr/ZhmStat.c
--- a/libpurple/protocols/zephyr/ZhmStat.c
+++ b/libpurple/protocols/zephyr/ZhmStat.c
@@ -20,9 +20,8 @@
 #define INADDR_LOOPBACK 0x7f000001
 #endif
 
-Code_t ZhmStat(hostaddr, notice)
-    struct in_addr *hostaddr;
-    ZNotice_t *notice;
+Code_t
+ZhmStat(struct in_addr *hostaddr, ZNotice_t *notice)
 {
     struct servent *sp;
     struct sockaddr_in sin;
diff --git a/libpurple/protocols/zephyr/Zinternal.c b/libpurple/protocols/zephyr/Zinternal.c
--- a/libpurple/protocols/zephyr/Zinternal.c
+++ b/libpurple/protocols/zephyr/Zinternal.c
@@ -71,9 +71,8 @@ static int find_or_insert_uid __P((ZUniq
  * order, so we can usually search for a uid or insert it into the buffer
  * by looking back just a few entries from the end.  Since this code is
  * only executed by the client, the implementation isn't microoptimized. */
-static int find_or_insert_uid(uid, kind)
-    ZUnique_Id_t *uid;
-    ZNotice_Kind_t kind;
+static int
+find_or_insert_uid(ZUnique_Id_t *uid, ZNotice_Kind_t kind)
 {
     static struct _filter {
 	ZUnique_Id_t	uid;
@@ -172,7 +171,8 @@ Code_t Z_WaitForComplete(void)
 
 /* Read any available packets and enqueue them */
 
-Code_t Z_ReadEnqueue()
+Code_t
+Z_ReadEnqueue(void)
 {
     Code_t retval;
 
@@ -222,7 +222,8 @@ static struct _Z_InputQ *Z_SearchQueue(Z
  * returns.
  */
 
-Code_t Z_ReadWait()
+Code_t
+Z_ReadWait(void)
 {
     register struct _Z_InputQ *qptr;
     ZNotice_t notice;
@@ -470,10 +471,8 @@ Code_t Z_ReadWait()
 
 /* Fragment management routines - compliments, more or less, of RFC815 */
 
-Code_t Z_AddNoticeToEntry(qptr, notice, part)
-    struct _Z_InputQ *qptr;
-    ZNotice_t *notice;
-    int part;
+Code_t
+Z_AddNoticeToEntry(struct _Z_InputQ *qptr, ZNotice_t *notice, int part)
 {
     int last, oldfirst, oldlast;
     struct _Z_Hole *hole, *lasthole;
@@ -587,12 +586,9 @@ Code_t Z_AddNoticeToEntry(qptr, notice, 
     return (ZERR_NONE);
 }
 
-Code_t Z_FormatHeader(notice, buffer, buffer_len, len, cert_routine)
-    ZNotice_t *notice;
-    char *buffer;
-    int buffer_len;
-    int *len;
-    Z_AuthProc cert_routine;
+Code_t
+Z_FormatHeader(ZNotice_t *notice, char *buffer, int buffer_len, int *len,
+               Z_AuthProc cert_routine)
 {
     Code_t retval;
     static char version[BUFSIZ]; /* default init should be all \0 */
@@ -632,12 +628,9 @@ Code_t Z_FormatHeader(notice, buffer, bu
     return Z_FormatAuthHeader(notice, buffer, buffer_len, len, cert_routine);
 }
 
-Code_t Z_FormatAuthHeader(notice, buffer, buffer_len, len, cert_routine)
-    ZNotice_t *notice;
-    char *buffer;
-    int buffer_len;
-    int *len;
-    Z_AuthProc cert_routine;
+Code_t
+Z_FormatAuthHeader(ZNotice_t *notice, char *buffer, int buffer_len, int *len,
+                   Z_AuthProc cert_routine)
 {
     if (!cert_routine) {
 	notice->z_auth = 0;
@@ -651,12 +644,9 @@ Code_t Z_FormatAuthHeader(notice, buffer
     return ((*cert_routine)(notice, buffer, buffer_len, len));
 }
 
-Code_t Z_FormatRawHeader(notice, buffer, buffer_len, len, cstart, cend)
-    ZNotice_t *notice;
-    char *buffer;
-    gsize buffer_len;
-    int *len;
-    char **cstart, **cend;
+Code_t
+Z_FormatRawHeader(ZNotice_t *notice, char *buffer, gsize buffer_len, int *len,
+                  char **cstart, char **cend)
 {
     char newrecip[BUFSIZ];
     char *ptr, *end;
@@ -781,7 +771,8 @@ Z_AddField(char **ptr, const char *field
     return 0;
 }
 
-struct _Z_InputQ *Z_GetFirstComplete()
+struct _Z_InputQ *
+Z_GetFirstComplete(void)
 {
     struct _Z_InputQ *qptr;
 
@@ -796,8 +787,8 @@ struct _Z_InputQ *Z_GetFirstComplete()
     return ((struct _Z_InputQ *)0);
 }
 
-struct _Z_InputQ *Z_GetNextComplete(qptr)
-    struct _Z_InputQ *qptr;
+struct _Z_InputQ *
+Z_GetNextComplete(struct _Z_InputQ *qptr)
 {
     qptr = qptr->next;
     while (qptr) {
@@ -809,8 +800,8 @@ struct _Z_InputQ *Z_GetNextComplete(qptr
     return ((struct _Z_InputQ *)0);
 }
 
-void Z_RemQueue(qptr)
-    struct _Z_InputQ *qptr;
+void
+Z_RemQueue(struct _Z_InputQ *qptr)
 {
     struct _Z_Hole *hole, *nexthole;
 
@@ -858,11 +849,9 @@ void Z_RemQueue(qptr)
     return;
 }
 
-Code_t Z_SendFragmentedNotice(notice, len, cert_func, send_func)
-    ZNotice_t *notice;
-    int len;
-    Z_AuthProc cert_func;
-    Z_SendProc send_func;
+Code_t
+Z_SendFragmentedNotice(ZNotice_t *notice, int len, Z_AuthProc cert_func,
+                       Z_SendProc send_func)
 {
     ZNotice_t partnotice;
     ZPacket_t buffer;
@@ -914,11 +903,8 @@ Code_t Z_SendFragmentedNotice(notice, le
 }
 
 /*ARGSUSED*/
-Code_t Z_XmitFragment(notice, buf, len, wait)
-ZNotice_t *notice;
-char *buf;
-int len;
-int wait;
+Code_t
+Z_XmitFragment(ZNotice_t *notice, char *buf, int len, int wait)
 {
 	return(ZSendPacket(buf, len, wait));
 }
@@ -958,10 +944,8 @@ void Z_debug (va_alist) va_dcl
 }
 #endif
 
-void Z_debug_stderr (format, args, closure)
-     const char *format;
-     va_list args;
-     void *closure;
+void
+Z_debug_stderr(const char *format, va_list args, void *closure)
 {
 #ifdef HAVE_VPRINTF
     vfprintf (stderr, format, args);
@@ -972,21 +956,36 @@ void Z_debug_stderr (format, args, closu
 }
 
 #undef ZGetFD
-int ZGetFD () { return __Zephyr_fd; }
+int
+ZGetFD(void)
+{
+	return __Zephyr_fd;
+}
 
 #undef ZQLength
-int ZQLength () { return __Q_CompleteLength; }
+int
+ZQLength(void)
+{
+	return __Q_CompleteLength;
+}
 
 #undef ZGetDestAddr
-struct sockaddr_in ZGetDestAddr () { return __HM_addr; }
+struct sockaddr_in
+ZGetDestAddr(void)
+{
+	return __HM_addr;
+}
 
 #undef ZGetRealm
-Zconst char * ZGetRealm () { return __Zephyr_realm; }
+Zconst char *
+ZGetRealm(void)
+{
+	return __Zephyr_realm;
+}
 
 #undef ZSetDebug
-void ZSetDebug(proc, arg)
-    void (*proc) __P((const char *, va_list, void *));
-    char *arg;
+void
+ZSetDebug(void (*proc) __P((const char *, va_list, void *)), char *arg)
 {
     __Z_debug_print = proc;
     __Z_debug_print_closure = arg;
